tracker-reset(1)

NAME
tracker-reset - Reset the index and configuration

SYNOPSIS
tracker reset [--hard | --soft] [--config] [--file FILE]

DESCRIPTION
The reset command will change either your configuration or index irreversibly and should be used with care. Other than tags, actual data (e.g. files) should not be affected by this command. The "index" is a link between your content (either locally or remotely) and how it can be found quickly using a number of different queries. Under the hood, this is done using a database. Removing all data and starting again from the beginning with an empty data set (which is a common use of this command) is done by using the hard reset option. This behaves as if Tracker was just installed.

OPTIONS

-r, --hard
    This kills all processes in the same way that tracker daemon --kill does but it also removes all databases. Restarting tracker-store re-creates the databases.

-e, --soft
    A soft reset works exactly the same way that --hard does, with the exception that the backup and journal are not removed. These are restored when tracker-store is restarted. This command is useful if you have a corrupt database but want to reply the journal to restore it to the last known good place.

-c, --config
    Resets all configuration to its defaults.

-f, --file FILE
    Resets all indexed information about FILE, works recursively for directories. Nothing will be done if FILE is not currently indexed. After deletion, a request to reindex this data will be immediately issued.

SEE ALSO
tracker-daemon(1). tracker(1).